/*
   Simulator of Vector Controlled PMSM Drive

   This module is background for PMSM drive object design and
   introduces basic functions ... set_parameters() and eval().

   Z. Peroutka

Rev. 16.3.2008

*/

// resi problem s M_PI ve VC8
#ifndef M_PI
#define M_PI        3.14159265358979323846
#endif


extern void pmsmsim_set_parameters(double Rs0, double Ls0, double Fmag0, double Bf0, double p0, double kp0, double J0, double Uc0, double DT0, double dt0);
extern void pmsmsim_step(double Ww, double Mz=0.0);
extern void pmsmsim_noreg_step(double ua, double ub);

extern double x[9]; 
extern double t; 
extern double KalmanObs[10];
